Interface GrapeEndpointBuilderFactory.GrapeBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
GrapeEndpointBuilderFactory
public static interface GrapeEndpointBuilderFactory.GrapeBuilders
-
Method Summary
Modifier and TypeMethodDescriptiongrape()Grape (camel-grape) Fetch, load and manage additional jars dynamically after Camel Context was started.Deprecated.Deprecated.
-
Method Details
-
grape
Grape (camel-grape) Fetch, load and manage additional jars dynamically after Camel Context was started. Category: management Since: 2.16 Maven coordinates: org.apache.camel:camel-grape- Returns:
- the dsl builder for the headers' name.
-
grape
Deprecated.Grape (camel-grape) Fetch, load and manage additional jars dynamically after Camel Context was started. Category: management Since: 2.16 Maven coordinates: org.apache.camel:camel-grape Syntax:grape:defaultCoordinatesPath parameter: defaultCoordinates (required) Maven coordinates to use as default to grab if the message body is empty.- Parameters:
path- defaultCoordinates- Returns:
- the dsl builder
-
grape
@Deprecated default GrapeEndpointBuilderFactory.GrapeEndpointBuilder grape(String componentName, String path) Deprecated.Grape (camel-grape) Fetch, load and manage additional jars dynamically after Camel Context was started. Category: management Since: 2.16 Maven coordinates: org.apache.camel:camel-grape Syntax:grape:defaultCoordinatesPath parameter: defaultCoordinates (required) Maven coordinates to use as default to grab if the message body is empty.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- defaultCoordinates- Returns:
- the dsl builder
-